/*
Theme Name: TowingWebsites.com Custom
Description: Powered by TowingWebsites.com
Author: TowingWebsites.com
Author URI: https://towingwebsites.com
Template: Avada
Version: 2.0.0
Text Domain:  Avada
*/

/* forces a max width of 1200px and centers element */
.mw1200 {
	max-width:1200px !important;
	margin-right:auto !important;
	margin-left:auto !important;
}


/* adds a blue outside stroke to an element */
.blue-stroke {
  -webkit-text-stroke: 5px #2a318a;
    paint-order: stroke fill;
}

/* adds a gold outside stroke to an element */
.gold-stroke {
  -webkit-text-stroke: 5px #C77F26;
    paint-order: stroke fill;
}

/* adds a gold outside stroke to an element */
.white-stroke {
  -webkit-text-stroke: 5px #fff;
    paint-order: stroke fill;
}

/* adds a gold outside stroke to an element */
.black-stroke {
  -webkit-text-stroke: 5px #000;
    paint-order: stroke fill;
}

/* Custom button background */
.fusion-button, .gform_button, body .gform_wrapper .gform_footer input[type=submit], #gform_next_button_1_4 .gform_next_button button, .gform_wrapper #gfgeo-locator-button-10_6 {
    background-image: url(https://candcfleetsolutions.com/wp-content/uploads/cnc-button-bg-1.jpg) !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    text-shadow: -1px 1px 2px #fff, 1px 1px 2px #fff, 1px -1px 0 #fff, -1px -1px 0 #fff;
}

.fusion-button:hover, .gform_button:hover, body .gform_wrapper .gform_footer input[type=submit]:hover, #gform_next_button_1_4 .gform_next_button button:hover, .gform_wrapper #gfgeo-locator-button-10_6:hover {
    background-image: url(https://candcfleetsolutions.com/wp-content/uploads/cnc-button-bg-hover-1.jpg) !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    text-shadow: -1px 1px 2px #000, 1px 1px 2px #000, 1px -1px 0 #000, -1px -1px 0 #000;
}

/* removes 3D button weird border nonsense. First data is upper border, second data is lower border, last data is drop shadow */
.fusion-button {
    box-shadow:inset 0 0px 0 rgba(0,0,0,0), 0 .15em 0 var(--button_bevel_color), .1em .2em .3em .15em rgba(0, 0, 0, .4) !important;
}

/* removed 3D button weird border nonsense. First data is upper border, second data is lower border, last data is drop shadow */
.fusion-button {
    box-shadow:inset 0 0px 0 rgba(0,0,0,0), 0 0em 0 var(--button_bevel_color), .1em .2em .3em .15em rgba(0, 0, 0, .4) !important;
}



/* sets selection color */
::selection {
  background: var(--awb-custom_color_6);
}


/* button push code for nested columns. Useful for centering phone # and request service buttons in header */

@media screen and (min-width:1025px){
.push-right  div {
    text-align:right !important;
}


.push-left div {
  text-align:left !important;
}
}

/* useful for cloud section separator whose only position is up */
.flipper {
  transform:rotate(180deg);
}

/* paste in footer. Corrects left align at line break */
.fusion-footer .menu-item span {
    text-align:center !important;
}

.fusion-footer .fusion-button span {
    text-align:center !important;
}

/* removes 2 column unordered list first column top margin */
.fusion-text-columns-2 ul {margin-top: 0px;}


/* ADJUST RELATED POSTS CAROUSEL TITLES */
.fusion-carousel-title-below-image .fusion-carousel-title {font-size: 18px !important; line-height: 1.3em !important;}

/* DROPDOWN MENU - CHANGE COLORS IN THEME OPTIONS  */
.fusion-main-menu .fusion-dropdown-menu .sub-menu li a:hover span {color: var(--awb-custom_color_16);}
.fusion-main-menu .sub-menu .current-menu-item.current_page_item a {color: var(--awb-custom_color_21);}
.fusion-main-menu .fusion-dropdown-menu .sub-menu li a {font-family: "Oswald" !important; font-weight: 700 !important; text-transform: uppercase;}
.fusion-main-menu .sub-menu .current-menu-item.current_page_item a, .fusion-main-menu .fusion-dropdown-menu .sub-menu li.current-menu-item a {color: var(--awb-custom_color_21);}

/* MENU TEXT & BUTTONS */
.fusion-header .menu-text {text-transform: uppercase;}
.fusion-header .button-large {font-size: 18px;}
.fusion-sticky-shadow .button-large {font-size: 15px;}

/* MOBILE MENU TEXT */\
.fusion-mobile-nav-item {margin-bottom: 10px;}

/* SECONDARY BUTTON */
.secondary-button {background: var(--awb-custom_color_12) !important;}
.secondary-button .fusion-button-text {color: var(--awb-custom_color_14) !important;}
.secondary-button:hover {background: var(--awb-custom_color_13) !important;}
.secondary-button:hover .fusion-button-text {color: var(--awb-custom_color_15) !important;}

/* LOAD MORE BUTTONS */
.fusion-load-more-button {max-width: 250px; margin: auto; color: #ffffff !important; line-height: .3em;}
.wpsr-ig-load-more, .wpsr-fb-load-more {background-color: #939393 !important; border-radius: 0px !important; padding: 10px 25px !important; font-size: 20px !important; text-transform: uppercase;}

/* BLOG */
.fusion-footer-widget-area .lwptoc {display: none !important;}
.fusion-carousel-meta {display: none !important;}
.fusion-related-posts-title-link {font-size: 20px !important; line-height: 21px !important;}
h4.fusion-carousel-title {font-size: 20px !important; line-height: 1.3em !important;}

/* TEXT */
.white-text h1, .white-text h2, .white-text h3, .white-text h4, .white-text h5, .white-text h6 {color: #ffffff !important; text-shadow: 2px 2px 3px #000000;}
.white-text, .white-text .fusion-post-content-container {color: #ffffff !important;}
.shadow {text-shadow: 2px 2px 3px #000000;}

/* REVIEWS  */
.wpsr-reviews-notification-card .wpsr-notification-content-wrapper .wpsr-review-header .reviewer-name {text-transform: capitalize;}
.wpsr-review-template .wpsr-review-date, .wpsr-review-template .wpsr-review-content p {color: var(--awb-text-color) !important;}
.wpsr_add_read_more .wpsr_read_less, .wpsr_add_read_more .wpsr_read_more {text-decoration-color: var(--link_color) !important; color: var(--link_color) !important;}

/* ADJUST RESPONSIVE TOP HEADER BAR */
@media only screen and (max-width: 1024px) {.fusion-contact-info {padding: 10px 30px 10px 30px !important;} .fusion-social-links-header {display: none;}}
@media only screen and (max-width: 800px) {.fusion-contact-info {padding-left: 3px !important; padding-right: 3px !important;} .fusion-header-separator, .header-email {display:none;}}
@media only screen and (max-width: 375px) {.fusion-contact-info {display:none;}}

/* TITLE BAR */
.fusion-page-title-bar {background-size: cover !important;}

/* GF GEOLOCATE */
.gform_wrapper .gfgeo-locator-button {font-weight: 600; font-family: inherit; font-size: inherit; text-transform: uppercase; border: none; min-width: 50%; cursor: pointer; margin: auto;}

/* GFORMS */
#form-secure-message {font-size: 14px !important; line-height: 1.2em; max-width: 700px; margin: auto; text-align: center;} #form-secure-message a {color: inherit !important; text-decoration: underline;}
.gform_wrapper .gfield_required {font-size: inherit;}
h2.gsection_title, h3.gsection_title {font-size: 1.4em !important;}
.gform_wrapper .gfield select {font-size: inherit !important;}
.gform_wrapper .gform_button, .gform_wrapper .gform_page_footer input[type=button] {padding: 10px 60px !important; line-height: inherit !important; font-size: inherit !important;}
.gform_next_button, .gform_prev_button {-moz-appearance: none; -webkit-appearance: none;}
.partial_entry_warning, .gform_required_legend {display: none;}
.gfield_label {font-family: inherit; font-weight: 500 !important;}
body .gform_wrapper .gform_heading .gform_description {font-weight: 500; text-align: center;}
body .gform_wrapper .gform_footer input[type=submit] {min-width: 60%; margin: auto; display: block;}

/* GFORM ERRORS */
body .gform_wrapper .gfield_error, body .gform_wrapper .validation_error, .gform_wrapper .gform_validation_errors {color: #e50f2b; background-color: transparent !important; border: 0px !important; margin-bottom: 0px !important; padding: 0px !important; box-shadow: none !important;}
.gform_wrapper .gfield_error .gfield_label, .gform_wrapper .validation_message {color: #e50f2b !important; background: transparent !important; border: 0px !important; padding-top: 5px !important;}
.gfield_error select, .gfield_error input, .gfield_error textarea {border: 1px solid #e50f2b !important;}
.gform_wrapper li.gfield_error input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]) {border: 1px solid #ccc;}
.gform_legacy_markup_wrapper.gf_browser_chrome .gfield_error .ginput_complex.ginput_container.has_first_name.has_middle_name.has_last_name span.name_last, .gform_legacy_markup_wrapper.gf_browser_chrome .gfield_error .ginput_complex.ginput_container.has_first_name.has_middle_name.has_last_name span.name_middle {margin-left: 0px !important;}
.gform_legacy_markup_wrapper li.gfield.gfield_error.gfield_contains_required div.ginput_container, .gform_legacy_markup_wrapper li.gfield.gfield_error.gfield_contains_required label.gfield_label {margin-top: 0px !important;}
.gform_legacy_markup_wrapper li.gfield.gfield_error table.gfield_list thead th {color: #e50f2b !important;}

/* fixes line height on social icons in footer */
.fusion-social-network-icon {
    line-height:30px !important;
}

/* STYLE POWERED BY TW */
#footer-copyright {line-height: 50px !important;}
@media only screen and (max-width: 500px){#footer {min-height: 130px}}
@media only screen and (min-width: 1024px){#footer-copyright {float: left;} #tw {float: right;}}
@media only screen and (min-width: 1024px){.fusion-copyright-content {width: 80%; margin: auto;}}